package com.diagbot.entity.wrapper;

import com.diagbot.entity.LantoneProduct;
import com.diagbot.entity.ServiceInfo;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/9/19 17:09
 */
public class LantoneProductWrapper extends LantoneProduct {
    /**
     * 开通日期
     */
    private Date startTime;

    /**
     * 结束日期
     */
    private Date endTime;

    /**
     * 订单申请时间
     */
    private Date time;

    /**
     * 停用状态
     */
    private Integer openedServiceStatus;

    /**
     * 计费方式
     */
    private String[] chargeTypeArray;
    /**
     * 接入方式（1：嵌入式，2：接口方式，3：online）
     */
    private String[] accessTypeArray;

    /**
     * 机构名称
     */
    private String organizationName;

    /**
     * 关联的service
     */
    private List<ServiceInfo> serviceInfos;

    public List<ServiceInfo> getServiceInfos() {
        return serviceInfos;
    }

    public void setServiceInfos(List<ServiceInfo> serviceInfos) {
        this.serviceInfos = serviceInfos;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public String[] getChargeTypeArray() {
        return chargeTypeArray;
    }

    public void setChargeTypeArray(String[] chargeTypeArray) {
        this.chargeTypeArray = chargeTypeArray;
    }

    public String[] getAccessTypeArray() {
        return accessTypeArray;
    }

    public void setAccessTypeArray(String[] accessTypeArray) {
        this.accessTypeArray = accessTypeArray;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getOpenedServiceStatus() {
        return openedServiceStatus;
    }

    public void setOpenedServiceStatus(Integer openedServiceStatus) {
        this.openedServiceStatus = openedServiceStatus;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }
}
